Build #1 for amqp-utils-0.4.4.1

[all reports]

Package amqp-utils-0.4.4.1
Install DependencyFailed amqp-utils-0.4.4.1
Docs NotTried
Tests NotTried
Time submitted 2020-08-19 12:33:00.103144745 UTC
Compiler ghc-8.6.3
OS linux
Arch x86_64
Dependencies amqp-0.20.0, base-4.12.0.0, bytestring-0.10.8.2, connection-0.3.1, containers-0.6.0.1, data-default-class-0.1.2.0, directory-1.3.3.0, hinotify-0.4, magic-1.1, network-3.1.2.0, process-1.6.3.0, text-1.2.3.1, time-1.8.0.2, tls-1.5.4, unix-2.7.2.2, utf8-string-1.0.1.1, x509-system-1.6.6, amqp-0.20.0, base-4.12.0.0, bytestring-0.10.8.2, connection-0.3.1, containers-0.6.0.1, data-default-class-0.1.2.0, directory-1.3.3.0, network-3.1.2.0, process-1.6.3.0, text-1.2.3.1, time-1.8.0.2, tls-1.5.4, unix-2.7.2.2, utf8-string-1.0.1.1, x509-system-1.6.6, amqp-0.20.0, base-4.12.0.0, bytestring-0.10.8.2, connection-0.3.1, containers-0.6.0.1, data-default-class-0.1.2.0, directory-1.3.3.0, network-3.1.2.0, process-1.6.3.0, text-1.2.3.1, time-1.8.0.2, tls-1.5.4, utf8-string-1.0.1.1, x509-system-1.6.6, amqp-0.20.0, base-4.12.0.0, bytestring-0.10.8.2, connection-0.3.1, containers-0.6.0.1, data-default-class-0.1.2.0, directory-1.3.3.0, network-3.1.2.0, process-1.6.3.0, text-1.2.3.1, time-1.8.0.2, tls-1.5.4, unix-2.7.2.2, utf8-string-1.0.1.1, x509-system-1.6.6
Flags none

Build log

[view raw]

Resolving dependencies...
Starting     cereal-0.5.8.1
Starting     clock-0.8
Starting     base-orphans-0.8.2
Starting     basement-0.0.11
Building     clock-0.8
Building     cereal-0.5.8.1
Building     basement-0.0.11
Building     base-orphans-0.8.2
Completed    clock-0.8
Starting     data-binary-ieee754-0.4.4
Building     data-binary-ieee754-0.4.4
Completed    data-binary-ieee754-0.4.4
Starting     data-default-class-0.1.2.0
Completed    base-orphans-0.8.2
Starting     hashable-1.3.0.0
Building     data-default-class-0.1.2.0
Building     hashable-1.3.0.0
Completed    data-default-class-0.1.2.0
Starting     hourglass-0.2.12
Building     hourglass-0.2.12
Completed    cereal-0.5.8.1
Starting     magic-1.1
Failed to install magic-1.1
Build log ( /home/builder/.cabal/logs/ghc-8.6.3/magic-1.1-Li4qC2EFmFj3eSH3BrxalF.log ):
cabal: Entering directory '/tmp/cabal-tmp-26101/magic-1.1'
Configuring magic-1.1...
cabal: Missing dependency on a foreign library:
* Missing (or bad) C library: magic
This problem can usually be solved by installing the system package that
provides this library (you may need the "-dev" version). If the library is
already installed but in a non-standard location then you can use the flags
--extra-include-dirs= and --extra-lib-dirs= to specify where it is.If the
library file does exist, it may contain errors that are caught by the C
compiler at the preprocessing stage. In this case you can re-run configure
with the verbosity flag -v3 to see the error messages.

cabal: Leaving directory '/tmp/cabal-tmp-26101/magic-1.1'
Starting     network-3.1.2.0
Completed    hashable-1.3.0.0
Building     network-3.1.2.0
Completed    hourglass-0.2.12
Completed    network-3.1.2.0
Completed    basement-0.0.11
cabal: Error: some packages failed to install:
amqp-utils-0.4.4.1-FYzs3rEAuPZH6R1QMLYtma depends on amqp-utils-0.4.4.1 which
failed to install.
magic-1.1-Li4qC2EFmFj3eSH3BrxalF failed during the configure step. The
exception was:
ExitFailure 1